/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
	box-sizing: border-box;
	--HeaderHeight: 87px;
}
@media (max-width: 640px) {
	* {
		--HeaderHeight: 80px;
	}
}
@media (max-width: 510px) {
	* {
		--HeaderHeight: 56px;
	}
}

html, body {
	margin: 0px;
	padding: 0px;
	width: 100%;
	overflow-x: hidden;
	height: 100vh;
}
html, body, div, section, article, input, select, button, footer, p, img {
	box-sizing: border-box;
	max-width: 100%;
	font-family: Poppins, sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 16px;
	color: #333;
	line-height: 1.4;
}

@media (max-width: 768px) {
	html, body, div, section, article, input, select, button, footer, p {
		font-size: 15px;
	}
}

.ancho {
	width: 94%;
	max-width: 1800px;
	margin-left: auto;
	margin-right: auto;
    padding: 0 3%;
}


body {
	background-image: url("/imagenes/pexels-essow-k-936722.jpg");
	background-position: center;
	background-attachment: fixed;
	background-size: cover;
}

@media (max-width: 768px) {
	body {
		background-attachment: scroll;
	}
}

header {
	display: flex;
	align-items: center;
	background-color: #FFF;
	padding: 20px 0 25px;
	position: fixed;
    top: 0;
	left: 0;
	right: 0;
	z-index: 999;
}
body.withScroll header {
    border-bottom: 1px solid #DE1A33;
    box-shadow: 0px 1px 4px 1px rgba(0,0,0,0.1);
}
@media (max-width: 510px) {
	header {
		padding: 15px 5% 20px;
	}
}

nav {
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
}

nav img {
	height: auto;
	width: 255px;
}
nav img.ls {
	height: auto;
	width: 187px;
}

@media (max-width: 640px) {
	nav img {
		width: 42.5%;
	}
	nav img.ls {
		width: 31%;
	}
}

@keyframes slideInFromBottom {
	0% {
		/*transform: translateY(100vh);*/
		position: absolute;
		top: 100vh;
		opacity: 0;
		/*bottom: 0px;*/
	}
	100% {
		/*transform: translateY(0);*/
		position: absolute;
		top: calc(var(--HeaderHeight, 87px)*2);
		opacity: 1;
		/*bottom: 0px;*/
	}
}
main {
	animation: 1s ease-out 0s 1 slideInFromBottom;
	/*margin-top: 170px;*/
	width: 100%;
	bottom: auto;
	display: flex;
	justify-content: center;
	align-items: stretch;
	flex-direction: row;
	position: absolute;
	top: calc(var(--HeaderHeight, 87px)*2);
}

@media (max-width: 1024px) {
	main {
		flex-direction: column;
		/*margin-top: 150px;*/
	}
}

main section {
	display: flex;
	width: 50%;
	flex-grow: 1;
}

@media (max-width: 1024px) {
	main section {
		width: 100%;
		justify-content: center !important;
	}
}

main section > div {
	width: 100%;
	max-width: 850px;
	padding: 50px;
	margin: 50px;
}

@media (max-width: 1024px) {
	main section > div {
		max-width: none;
		width: 95%;
		margin: 40px 0;
		padding: 40px 5%;
	}
}

@media (max-width: 768px) {
	main section > div {
		margin: 20px 0;
		padding: 20px 5%;
	}
}

@media (max-width: 480px) {
	main section > div {
		width: 96%;
		margin: 15px 0;
		padding: 10px 2%;
	}
}

main section#informacion {
	justify-content: end;
	background-color: #FFFE;
}
main section#formulario {
	background-color: #EEEE;
    scroll-margin-top: var(--HeaderHeight, 87px);
}
main section#formulario form.marcarInvalidos :invalid {
	background-color: #FFE7E7;
	border-color: #DE1A33;
}

main section#informacion > div {
	background-color: #FFF;
}
main section#formulario > div {
	background-color: #EEE;
}

main section#informacion > div h1 {
	margin-top: 0px;
	font-size: 2rem;
}

@media (max-width: 768px) {
	main section#informacion > div h1 {
		font-size: 1.5rem;
	}
}

@media (max-width: 480px) {
	main section#informacion > div h1 {
		font-size: 1.4rem;
	}
}

@media (max-width: 400px) {
	section > div > p {
		font-size: 0.95rem;
		text-align: justify;
	}
}

main section#informacion > div li {
	margin: 10px 0;
	font-size: 0.95rem;
}

@media (max-width: 480px) {
	main section#informacion > div ul {
		padding-inline-start: 5vw;
	}
	main section#informacion > div li {
		font-size: 0.9rem;
	}
}
	
@media (max-width: 420px) {
	main section#informacion > div ul {
		padding-inline-start: 4.4vw;
	}
}
	
main section#formulario div div {
	margin-bottom: 10px;
}
main section#formulario div div.titulo {
	font-size: 1.3rem;
	text-align: center;
}

@media (max-width: 800px) {
	main section#formulario div div.titulo {
		font-size: 1.2rem;
	}
}

@media (max-width: 700px) {
	main section#formulario div div.titulo {
		font-size: 1.1rem;
	}
}

@media (max-width: 640px) {
	main section#formulario div div.titulo strong {
		display: block;
		font-size: 1.2rem;
	}
}

@media (max-width: 430px) {
	main section#formulario div div.titulo {
		font-size: 1rem;
	}
}

main section#formulario div div.subtitulo {
	margin-top: 25px;
	border-top: 1px solid #CCC;
	padding-top: 10px;
	color: #DE1A33;
	font-weight: 500;
	font-size: 0.95rem;
}

@media (max-width: 480px) {
	main section#formulario div div.subtitulo {
		margin-top: 20px;
	}
}

main section#formulario div label {
	width: 100%;
	font-size: 0.9rem;
	line-height: 1.2;
	display: block;
	margin-bottom: 3px;
}

@media (max-width: 480px) {
	main section#formulario div label {
		margin-bottom: 1px;
	}
}

main section#formulario div input, main section#formulario div.envio button[type=submit] {
	width: 100%;
	padding: 6px 12px;
	border-radius: 5px;
	border: 1px solid #AAA;
	font-size: 1rem;
    scroll-margin-top: calc(var(--HeaderHeight, 87px)*1.5);
}
@media (max-width: 480px) {
	main section#formulario div input, main section#formulario div.envio button[type=submit] {
		padding: 4px 8px;
	}
}

main section#formulario div.consentimientos {
	display: flex;
	align-items: flex-start;
}
main section#formulario div.consentimientos label {
	font-size: 0.85rem;
}

@media (max-width: 640px) {
	main section#formulario div.consentimientos label span {
		display: none;
	}
}
@media (max-width: 480px) {
    main section#formulario div.consentimientos label {
        font-size: 0.8rem;
    }
}

main section#formulario div input[type=checkbox] {
	width: auto;
	height: 1.3rem;
    aspect-ratio: 1;
	border-radius: 0px;
	border: 0;
	padding: 0px;
	margin: 0 8px 0 0;
    vertical-align: text-bottom;
    accent-color: #DE1A33;
}
@media (max-width: 480px) {
	main section#formulario div input[type=checkbox] {
		margin-right: 4px;
	}
}

main section#formulario div input[type=submit],
main section#formulario div.envio button[type=submit] {
	margin-top: 20px;
	background-color: #DE1A33;
	color: #FFF;
	font-weight: 500;
	padding: 12px 16px;
	cursor: pointer;
	border: none;
	border-radius: 5px;
	font-size: 1.1rem;
	transition: background-color 0.3s ease;
}

main section#formulario div input[type=submit]:hover,
main section#formulario div.envio button[type=submit]:hover {
	background-color: #B7152A;
}

main section#formulario div input[type=submit]:active,
main section#formulario div.envio button[type=submit]:active {
	background-color: #8F0F20;
}

@media (max-width: 480px) {
	main section#formulario div input[type=submit],
	main section#formulario div.envio button[type=submit] {
		padding: 8px 10px;
	}
}


footer, footer .footer-content .footer-left, footer .footer-content .footer-links a {
    font-size: 0.9rem;
}
footer {
	background-color: #F2F2F2;
	color: #666;
	padding: 18px 0;
}
.footer-content {
	display: flex;
	flex-wrap: wrap;
	gap: 10px 16px;
	justify-content: space-between;
	align-items: center;
}
.footer-links {
	display: flex;
	gap: 8px;
	align-items: center;
}
.footer-links a {
	color: #666;
	text-decoration: none;
}
.footer-links a:hover {
	text-decoration: underline;
}
@media (max-width: 768px) {
	footer, footer .footer-content .footer-left, footer .footer-content .footer-links a {
		font-size: 0.85rem;
	}
	footer {
	    padding: 12px 0;
	}
    .footer-content {
        gap: 5px 8px;
    }
    .footer-links {
        gap: 4px;
    }
}
